Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIconDragEvent Class Reference

The QIconDragEvent class indicates that a main icon drag has begun. More...

    #include <QIconDragEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QIconDragEvent ()
- void accept ()
- void ignore ()
- bool isAccepted () const

- 2 public functions inherited from QEvent

## Detailed Description

The QIconDragEvent class indicates that a main icon drag has begun.

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X, this happens when the proxy icon of a window is dragged off the title bar.

It is normal to begin using drag and drop in response to this event.

QDragObject

See also Drag-and-drop documentation and QImageDrag.

## Member Function Documentation

### QIconDragEvent::QIconDragEvent ()

Constructs an icon drag event object with the accept flag set to false.

See also accept().

### void QIconDragEvent::accept ()

Sets the accept flag of the icon drag event object.

Setting the accept flag indicates that the receiver of this event has started a drag and drop operation.

By default, the accept flag is not set.

See also ignore() and QWidget::hide().

### void QIconDragEvent::ignore ()

Clears the accept flag of the icon drag object.

Clearing the accept flag indicates that the receiver of this event has not handled the icon drag.

By default, the accept flag is not set.

See also accept().

### bool QIconDragEvent::isAccepted () const

Returns true if the receiver of the event has started a drag and drop operation; otherwise returns false.

See also accept() and ignore().